apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: argo-workflows
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
    targetRevision: HEAD
    path: "rire/otc.c-one-infra.de/stacks/ref-implementation/argo-workflows/manifests/dev"
  destination:
    server: "https://kubernetes.default.svc"
    namespace: argo
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      selfHeal: true
    retry:
      limit: -1
      backoff:
        duration: 15s
        factor: 1
        maxDuration: 15s
